@-webkit-keyframes preload-show-1 {
  from {
    -webkit-transform: rotateZ(60deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(60deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-show-1 {
  from {
    -webkit-transform: rotateZ(60deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(60deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-hide-1 {
  to {
    -webkit-transform: rotateZ(60deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(60deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-hide-1 {
  to {
    -webkit-transform: rotateZ(60deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(60deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-cycle-1 {
  5% {
    -webkit-transform: rotateZ(60deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(60deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  10%,
        75% {
    -webkit-transform: rotateZ(60deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(60deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  80%,
        100% {
    -webkit-transform: rotateZ(60deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(60deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-cycle-1 {
  5% {
    -webkit-transform: rotateZ(60deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(60deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  10%,
        75% {
    -webkit-transform: rotateZ(60deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(60deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  80%,
        100% {
    -webkit-transform: rotateZ(60deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(60deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-show-2 {
  from {
    -webkit-transform: rotateZ(120deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(120deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-show-2 {
  from {
    -webkit-transform: rotateZ(120deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(120deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-hide-2 {
  to {
    -webkit-transform: rotateZ(120deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(120deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-hide-2 {
  to {
    -webkit-transform: rotateZ(120deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(120deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-cycle-2 {
  10% {
    -webkit-transform: rotateZ(120deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(120deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  15%,
        70% {
    -webkit-transform: rotateZ(120deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(120deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  75%,
        100% {
    -webkit-transform: rotateZ(120deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(120deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-cycle-2 {
  10% {
    -webkit-transform: rotateZ(120deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(120deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  15%,
        70% {
    -webkit-transform: rotateZ(120deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(120deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  75%,
        100% {
    -webkit-transform: rotateZ(120deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(120deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-show-3 {
  from {
    -webkit-transform: rotateZ(180deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(180deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-show-3 {
  from {
    -webkit-transform: rotateZ(180deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(180deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-hide-3 {
  to {
    -webkit-transform: rotateZ(180deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(180deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-hide-3 {
  to {
    -webkit-transform: rotateZ(180deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(180deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-cycle-3 {
  15% {
    -webkit-transform: rotateZ(180deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(180deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  20%,
        65% {
    -webkit-transform: rotateZ(180deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(180deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  70%,
        100% {
    -webkit-transform: rotateZ(180deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(180deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-cycle-3 {
  15% {
    -webkit-transform: rotateZ(180deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(180deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  20%,
        65% {
    -webkit-transform: rotateZ(180deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(180deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  70%,
        100% {
    -webkit-transform: rotateZ(180deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(180deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-show-4 {
  from {
    -webkit-transform: rotateZ(240deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(240deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-show-4 {
  from {
    -webkit-transform: rotateZ(240deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(240deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-hide-4 {
  to {
    -webkit-transform: rotateZ(240deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(240deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-hide-4 {
  to {
    -webkit-transform: rotateZ(240deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(240deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-cycle-4 {
  20% {
    -webkit-transform: rotateZ(240deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(240deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  25%,
        60% {
    -webkit-transform: rotateZ(240deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(240deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  65%,
        100% {
    -webkit-transform: rotateZ(240deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(240deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-cycle-4 {
  20% {
    -webkit-transform: rotateZ(240deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(240deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  25%,
        60% {
    -webkit-transform: rotateZ(240deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(240deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  65%,
        100% {
    -webkit-transform: rotateZ(240deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(240deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-show-5 {
  from {
    -webkit-transform: rotateZ(300deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(300deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-show-5 {
  from {
    -webkit-transform: rotateZ(300deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(300deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-hide-5 {
  to {
    -webkit-transform: rotateZ(300deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(300deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-hide-5 {
  to {
    -webkit-transform: rotateZ(300deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(300deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-cycle-5 {
  25% {
    -webkit-transform: rotateZ(300deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(300deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  30%,
        55% {
    -webkit-transform: rotateZ(300deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(300deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  60%,
        100% {
    -webkit-transform: rotateZ(300deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(300deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-cycle-5 {
  25% {
    -webkit-transform: rotateZ(300deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(300deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  30%,
        55% {
    -webkit-transform: rotateZ(300deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(300deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  60%,
        100% {
    -webkit-transform: rotateZ(300deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(300deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-show-6 {
  from {
    -webkit-transform: rotateZ(360deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(360deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-show-6 {
  from {
    -webkit-transform: rotateZ(360deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(360deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-hide-6 {
  to {
    -webkit-transform: rotateZ(360deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(360deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-hide-6 {
  to {
    -webkit-transform: rotateZ(360deg) rotateY(-90deg) rotateX(0deg);
            transform: rotateZ(360deg) rotateY(-90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-cycle-6 {
  30% {
    -webkit-transform: rotateZ(360deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(360deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  35%,
        50% {
    -webkit-transform: rotateZ(360deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(360deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  55%,
        100% {
    -webkit-transform: rotateZ(360deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(360deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@keyframes preload-cycle-6 {
  30% {
    -webkit-transform: rotateZ(360deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(360deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; }
  35%,
        50% {
    -webkit-transform: rotateZ(360deg) rotateY(0) rotateX(0deg);
            transform: rotateZ(360deg) rotateY(0) rotateX(0deg);
    border-left-color: #f7484e; }
  55%,
        100% {
    -webkit-transform: rotateZ(360deg) rotateY(90deg) rotateX(0deg);
            transform: rotateZ(360deg) rotateY(90deg) rotateX(0deg);
    border-left-color: #9c2f2f; } }
@-webkit-keyframes preload-flip {
  0% {
    -webkit-transform: rotateY(0deg) rotateZ(-60deg);
            transform: rotateY(0deg) rotateZ(-60deg); }
  100% {
    -webkit-transform: rotateY(360deg) rotateZ(-60deg);
            transform: rotateY(360deg) rotateZ(-60deg); } }
@keyframes preload-flip {
  0% {
    -webkit-transform: rotateY(0deg) rotateZ(-60deg);
            transform: rotateY(0deg) rotateZ(-60deg); }
  100% {
    -webkit-transform: rotateY(360deg) rotateZ(-60deg);
            transform: rotateY(360deg) rotateZ(-60deg); } }
.cover {
  position: relative;
  height: 100%; }

.cover-container {
  transition: opacity .5s ease;
  position: fixed;
  top: 0;
  left: 0;
  background: #efefef;
  width: 100%;
  height: 100%;
  z-index: 999; }

.preloader {
  position: absolute;
  top: 50%;
  left: 50%;
  font-size: 20px;
  display: block;
  width: 3.75em;
  height: 4.25em;
  margin-left: -1.875em;
  margin-top: -2.125em;
  -webkit-transform-origin: center center;
          transform-origin: center center;
  -webkit-transform: rotateY(180deg) rotateZ(-60deg);
          transform: rotateY(180deg) rotateZ(-60deg); }
  .preloader .slice {
    border-top: 1.125em solid transparent;
    border-right: none;
    border-bottom: 1em solid transparent;
    border-left: 1.875em solid #f7484e;
    position: absolute;
    top: 0px;
    left: 50%;
    -webkit-transform-origin: left bottom;
            transform-origin: left bottom;
    border-radius: 3px 3px 0 0; }
  .preloader .slice:nth-child(1) {
    -webkit-transform: rotateZ(60deg) rotateY(0deg) rotateX(0);
            transform: rotateZ(60deg) rotateY(0deg) rotateX(0);
    -webkit-animation: 0.15s linear 0.82s preload-hide-1 both 1;
            animation: 0.15s linear 0.82s preload-hide-1 both 1; }
  .preloader .slice:nth-child(2) {
    -webkit-transform: rotateZ(120deg) rotateY(0deg) rotateX(0);
            transform: rotateZ(120deg) rotateY(0deg) rotateX(0);
    -webkit-animation: 0.15s linear 0.74s preload-hide-2 both 1;
            animation: 0.15s linear 0.74s preload-hide-2 both 1; }
  .preloader .slice:nth-child(3) {
    -webkit-transform: rotateZ(180deg) rotateY(0deg) rotateX(0);
            transform: rotateZ(180deg) rotateY(0deg) rotateX(0);
    -webkit-animation: 0.15s linear 0.66s preload-hide-3 both 1;
            animation: 0.15s linear 0.66s preload-hide-3 both 1; }
  .preloader .slice:nth-child(4) {
    -webkit-transform: rotateZ(240deg) rotateY(0deg) rotateX(0);
            transform: rotateZ(240deg) rotateY(0deg) rotateX(0);
    -webkit-animation: 0.15s linear 0.58s preload-hide-4 both 1;
            animation: 0.15s linear 0.58s preload-hide-4 both 1; }
  .preloader .slice:nth-child(5) {
    -webkit-transform: rotateZ(300deg) rotateY(0deg) rotateX(0);
            transform: rotateZ(300deg) rotateY(0deg) rotateX(0);
    -webkit-animation: 0.15s linear 0.5s preload-hide-5 both 1;
            animation: 0.15s linear 0.5s preload-hide-5 both 1; }
  .preloader .slice:nth-child(6) {
    -webkit-transform: rotateZ(360deg) rotateY(0deg) rotateX(0);
            transform: rotateZ(360deg) rotateY(0deg) rotateX(0);
    -webkit-animation: 0.15s linear 0.42s preload-hide-6 both 1;
            animation: 0.15s linear 0.42s preload-hide-6 both 1; }
  .preloader.loading {
    -webkit-animation: 2s preload-flip steps(2) infinite both;
            animation: 2s preload-flip steps(2) infinite both; }
    .preloader.loading .slice:nth-child(1) {
      -webkit-transform: rotateZ(60deg) rotateY(90deg) rotateX(0);
              transform: rotateZ(60deg) rotateY(90deg) rotateX(0);
      -webkit-animation: 2s preload-cycle-1 linear infinite both;
              animation: 2s preload-cycle-1 linear infinite both; }
    .preloader.loading .slice:nth-child(2) {
      -webkit-transform: rotateZ(120deg) rotateY(90deg) rotateX(0);
              transform: rotateZ(120deg) rotateY(90deg) rotateX(0);
      -webkit-animation: 2s preload-cycle-2 linear infinite both;
              animation: 2s preload-cycle-2 linear infinite both; }
    .preloader.loading .slice:nth-child(3) {
      -webkit-transform: rotateZ(180deg) rotateY(90deg) rotateX(0);
              transform: rotateZ(180deg) rotateY(90deg) rotateX(0);
      -webkit-animation: 2s preload-cycle-3 linear infinite both;
              animation: 2s preload-cycle-3 linear infinite both; }
    .preloader.loading .slice:nth-child(4) {
      -webkit-transform: rotateZ(240deg) rotateY(90deg) rotateX(0);
              transform: rotateZ(240deg) rotateY(90deg) rotateX(0);
      -webkit-animation: 2s preload-cycle-4 linear infinite both;
              animation: 2s preload-cycle-4 linear infinite both; }
    .preloader.loading .slice:nth-child(5) {
      -webkit-transform: rotateZ(300deg) rotateY(90deg) rotateX(0);
              transform: rotateZ(300deg) rotateY(90deg) rotateX(0);
      -webkit-animation: 2s preload-cycle-5 linear infinite both;
              animation: 2s preload-cycle-5 linear infinite both; }
    .preloader.loading .slice:nth-child(6) {
      -webkit-transform: rotateZ(360deg) rotateY(90deg) rotateX(0);
              transform: rotateZ(360deg) rotateY(90deg) rotateX(0);
      -webkit-animation: 2s preload-cycle-6 linear infinite both;
              animation: 2s preload-cycle-6 linear infinite both; }
/*# sourceMappingURL=data:application/json;base64,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 */